package app.mar.activities;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

import app.mar.utils.FontChangeCrawler;
import app.mar.utils.game.Resource;

public class InfoActivity extends AppCompatActivity  implements IViewerActivity{

    private Resource mResource;
    private TextView mTitle;
    private TextView mText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_info);

        mTitle = (TextView) findViewById(R.id.title);
        mText = (TextView) findViewById(R.id.tv_comment);

        if(getIntent().hasExtra("resource"))
        {
            mResource = (Resource) getIntent().getSerializableExtra("resource");
            if(mResource!=null) setTitle(mResource.getTitle());
            mTitle.setText(mResource.getTitle());
            mText.setText(mResource.getComment());
        }else
        {
            mTitle.setText("Error: Res not found");
        }
        FontChangeCrawler.setFont(this);

    }
}
