package app.mar.activities;

import android.content.res.Resources;
import android.util.TypedValue;
import android.widget.Button;

/**
 * Created by ptitcois on 06/06/17.
 */
public class MARMenuActivity extends MenuActivity{
    protected  void refreshMenuStyle()
    {
        mRootLayout.setBackgroundResource(R.drawable.background);
        int h4 = mHeight/3;
        int w4 = mWidth/3;
        int w = (int)(w4*1.25);
        int h = dpToPx((int)(mBBriefing.getTextSize()*1.5));

        moveView(mBBriefing, w4-2*w/3, mHOffset+h4-h,w,h);
        moveView(mBInvotory, 2*w4-w/3, mHOffset+h4-h,w,h);
        moveView(mBMap, w4-2*w/3, mHOffset+2*h4,w,h);
        moveView(mBOptions, 2*w4-w/3, mHOffset+2*h4,w,h);
        moveView(mBSend, mWidth/2-w, mHOffset+2*h4+4*h/3, 2*w, h);
        ((Button)mBMenu).setTextSize(25);
        //mBMenu.setTypeface(null,Typeface.BOLD);
        sendVisibility();

    }



    protected void setUpMenuStyle()
    {
        mIbScanner = new Button(this);
        //mIbScanner.setImageResource(R.drawable.scanner);
        //mIbScanner.setScaleType(ImageView.ScaleType.FIT_CENTER);
        mRootLayout.addView(mIbScanner);
        mIbScanner.setBackgroundResource(R.drawable.uibuttoncircle);
        mIbScanner.setText("Scanner");
        mIbScanner.setTextColor(getResources().getColor(R.color.dull_4));
        mIbScanner.setTextSize(22);
        mIbScanner.setOnClickListener(this);

        moveView(mIbScanner, mWidth / 2 - mHeight / 8, mHOffset + mHeight / 2 - mHeight / 8, mHeight / 4, mHeight / 4);

        mBBriefing = newButton("Briefing");
        mBInvotory = newButton("Inventaire");
        mBMap = newButton("Carte");
        mBOptions = newButton("Options");
        mBMenu = newButton("Menu Principal");
        mBMenu.setBackgroundResource(R.drawable.title);
        mBSend = newButton("Envoyer les données");
        Resources r = getResources();
        float px = TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, 70, r.getDisplayMetrics());
        moveView(mBMenu, 0, 0, mWidth, (int) px);

        //mGame.pickResource("intro", false);
        //mGame.pickResource("a", false);
        mGame.pickUpOtherResources();

    }
}
