package app.mar.utils.game;

import org.json.JSONException;
import org.json.JSONObject;

import java.io.Serializable;

/**
 * Created by ptitcois on 27/08/16.
 */
public class Stage implements Serializable {
    public Stage()
    {

    }

    public Stage(JSONObject obj)
    {
        try {
            System.out.println("Obj: "+obj.toString());
            mStage=obj.getInt("stage");
            mResourceName=obj.getString("resource");
            mNResourceStep=obj.getInt("n_resource_step");
            mIsTransition=obj.getBoolean("transition");
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public  String toString()
    {
        String s = "";
        s+="Stage="+mStage+"\n";
        s+="Resource="+mResourceName+"\n";
        s+="Step="+mNResourceStep+"\n";
        s+="Transition="+mIsTransition+"\n";
        return s;
    }

    protected int mStage;
    protected Resource mResource;
    protected String mResourceName;
    protected int mNResourceStep;
    protected boolean mIsTransition=true;

    public int getStage() {
        return mStage;
    }

    public void setStage(int mStage) {
        this.mStage = mStage;
    }

    public Resource getResource() {
        return mResource;
    }

    public void setResource(Resource mResource) {
        this.mResource = mResource;
    }

    public int getNResourceStep()
    {
        return mNResourceStep;
    }

    public String getResourceName() {
        return mResourceName;
    }

    public void setResourceName(String mResourceName) {
        this.mResourceName = mResourceName;
    }

    public boolean isTransition() {
        return mIsTransition;
    }

    public void setIsTransition(boolean mIsTransition) {
        this.mIsTransition = mIsTransition;
    }
}
