package app.mar.activities;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Html;
import android.widget.TextView;

import app.mar.utils.FontChangeCrawler;

public class CreditsActivity extends AppCompatActivity {

    private TextView mText;
    private static final String CREDITS="<h1> Credits </h1>\n" +
            "Ce jeux a été réalisé par les CE2 et CM1 de l'école Les Colombes de Saint Erblon durant les temps méridiens (encadré par François Gautrais).\n" +
            "\n" +
            "<h2> Scénario </h2>\n" +
            "- Romain<br>\n" +
            "- Tiffen<br>\n" +
            "- Léa <br>\n" +
            "- Thaïs<br>\n" +
            "- Jules <br>\n" +
            "\n" +
            "<h2> Réalisation des indices </h2>\n" +
            "- Romain<br>\n" +
            "- Tiffen<br>\n" +
            "- Léa<br>\n" +
            "- Thaïs<br>\n" +
            "- François Gautrais<br>\n" +
            "\n" +
            "<h2> Actteurs-ices </h2>\n" +
            "- Romain : Le chasseur de monstre<br>\n" +
            "- Léa : Qui se balladait place de la fontaine<br>\n" +
            "- Élise : Qui se balladait aux étangs<br>\n" +
            "- Jules : À la bibliothèque<br>\n" +
            "- Sophia : Au parc de l'Ise<br>\n" +
            "\n" +
            "<h2> Programmation / Interface / Montage </h2>\n" +
            "- François Gautrais<br>\n" +
            "\n";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_credits);
        mText = (TextView) findViewById(R.id.tv_credits);
        if (android.os.Build.VERSION.SDK_INT < android.os.Build.VERSION_CODES.N) {
            mText.setText(Html.fromHtml(CREDITS));
        }else
        {
            mText.setText(Html.fromHtml(CREDITS, Html.FROM_HTML_MODE_COMPACT));
        }

        FontChangeCrawler.setFont(this);
    }
}
