package app.mar.activities;

import android.content.res.Resources;
import android.util.TypedValue;
import android.view.Gravity;
import android.view.View;
import android.widget.TextView;

/**
 * Created by ptitcois on 26/06/17.
 */
public class SEMenuActivity extends MenuActivity {

    protected TextView mTVmenu;

    protected  void refreshMenuStyle()
    {
        int size =  15;
        int offset=mWidth/8;
        mRootLayout.setBackgroundResource(R.drawable.background);
        int h4 = mHeight/3-mHeight/26;
        int w = (int)(mHeight/ 4);
        int h = dpToPx((int)(mBBriefing.getTextSize()*1.5));
        int H = (int)(h*1.24);

        moveView(mBBriefing, mWidth/8, offset+h4,          w*2,h);
        moveView(mBInvotory, mWidth/8, offset+h4+H,        w*2,h);
        moveView(mBMap, mWidth/8, offset+h4+2*H,           w*2,h);
        moveView(mBOptions, mWidth/8, offset+h4+3*H,       w*2,h);
        moveView(mIbScanner, mWidth/8, offset+h4+4*H,      w*2, h);
        moveView(mBSend, mWidth/8, offset+h4+5*H,          w*2, h);
        ((TextView)mBMenu).setTextSize(25);
        moveView(mBMenu, mWidth/10, 0, mWidth, mHeight/3);
        moveView(mTVmenu, mWidth/7, h4);

        mBBriefing.setTextSize(size);
        mBInvotory.setTextSize(size);
        mBMap.setTextSize(size);
        mBOptions.setTextSize(size);
        mIbScanner.setTextSize(size);
        mBSend.setTextSize(size);
        ((TextView)mBMenu).setTextSize(30);
        ((TextView)mBMenu).setGravity(Gravity.CENTER);
        //mBMenu.setTypeface(null,Typeface.BOLD);
        //sendVisibility();
        mBSend.setVisibility(View.INVISIBLE);

    }

    protected void setUpMenuStyle()
    {
        /*mIbScanner = new Button(this);
        //mIbScanner.setImageResource(R.drawable.scanner);
        //mIbScanner.setScaleType(ImageView.ScaleType.FIT_CENTER);
        mRootLayout.addView(mIbScanner);
        mIbScanner.setBackgroundResource(R.drawable.uibuttoncircle);
        mIbScanner.setText("Scanner");
        mIbScanner.setTextColor(getResources().getColor(R.color.dull_4));
        mIbScanner.setTextSize(22);
        mIbScanner.setOnClickListener(this);*/

        //moveView(mIbScanner, mWidth / 2 - mHeight / 8, mHOffset + mHeight / 2 - mHeight / 8, mHeight / 4, mHeight / 4);
        mTVmenu = new TextView(this);
        mTVmenu.setText("Menu");
        moveView(mTVmenu, mWidth/7, mHeight/7);
        mRootLayout.addView(mTVmenu);
        mTVmenu.setTextSize(20);

        mBMenu = new TextView(this);
        ((TextView)mBMenu).setText("Une terreur dans la ville");
        mRootLayout.addView(((TextView)mBMenu));
        moveView(mBMenu, mWidth/10, 0, mWidth, 600);
        ((TextView)mBMenu).setTextSize(30);

        mIbScanner = newButton("Rechercher");
        mBBriefing = newButton("Résumé");
        mBInvotory = newButton("Inventaire");
        mBMap = newButton("Carte");
        mBOptions = newButton("Options");
        //mBMenu = newButton("Menu Principal");
        mBSend = newButton("Envoyer les données");
        Resources r = getResources();
        float px = TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, 70, r.getDisplayMetrics());
        //moveView(mBMenu, 0, 0, mWidth, (int) px);

        if(!mGame.hasResource("start"))
            mGame.pickResource("start");

    }
}
